Sales Orders
Update Order
Update a sales order (creates a new version).
All fields are optional - only provided fields will be updated.
Actions:
draft: Keep as draftsubmit_for_review: Submit for approvalapprove: Approve order (Manager/Admin only)confirm: Confirm order (legacy alias for approve)reject: Reject order (Manager/Admin only)mark_in_procurement: Mark as in procurementmark_in_production: Mark as in productionmark_delivered: Mark as delivered
PATCH
/
api
/
v1
/
orders
/
{document_id}
Update Order
curl --request PATCH \
--url https://vinmake-erp.onrender.com/api/v1/orders/{document_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<string>",
"clientPoNumber": "<string>",
"styleId": "<string>",
"etd": "2023-11-07T05:31:56Z",
"shippingTerm": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"shipmentPlan": "<string>",
"shipmentSchedule": [
{
"shipmentNumber": 2,
"etd": "2023-11-07T05:31:56Z",
"quantity": 1
}
],
"paymentTerm": "<string>",
"estimatedQuantity": 123,
"estimatedCost": 123,
"sourceQuoteId": "<string>",
"trueCostPrice": 123,
"trueCostCurrency": "<string>",
"budgetAllowableTolerance": 123,
"requestedDeliveryDate": "2023-11-07T05:31:56Z",
"requestedBulkReadyDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"lineItems": [
{
"styleSkuId": "<string>",
"orderQuantity": 123,
"id": "<string>",
"clientTolerance": 0,
"requestedDeliveryDate": "2023-11-07T05:31:56Z",
"requestedBulkReadyDate": "2023-11-07T05:31:56Z",
"status": "<string>"
}
],
"changeDescription": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/orders/{document_id}"
payload = {
"clientId": "<string>",
"clientPoNumber": "<string>",
"styleId": "<string>",
"etd": "2023-11-07T05:31:56Z",
"shippingTerm": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"shipmentPlan": "<string>",
"shipmentSchedule": [
{
"shipmentNumber": 2,
"etd": "2023-11-07T05:31:56Z",
"quantity": 1
}
],
"paymentTerm": "<string>",
"estimatedQuantity": 123,
"estimatedCost": 123,
"sourceQuoteId": "<string>",
"trueCostPrice": 123,
"trueCostCurrency": "<string>",
"budgetAllowableTolerance": 123,
"requestedDeliveryDate": "2023-11-07T05:31:56Z",
"requestedBulkReadyDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"lineItems": [
{
"styleSkuId": "<string>",
"orderQuantity": 123,
"id": "<string>",
"clientTolerance": 0,
"requestedDeliveryDate": "2023-11-07T05:31:56Z",
"requestedBulkReadyDate": "2023-11-07T05:31:56Z",
"status": "<string>"
}
],
"changeDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '<string>',
clientPoNumber: '<string>',
styleId: '<string>',
etd: '2023-11-07T05:31:56Z',
shippingTerm: '<string>',
deadline: '2023-11-07T05:31:56Z',
shipmentPlan: '<string>',
shipmentSchedule: [{shipmentNumber: 2, etd: '2023-11-07T05:31:56Z', quantity: 1}],
paymentTerm: '<string>',
estimatedQuantity: 123,
estimatedCost: 123,
sourceQuoteId: '<string>',
trueCostPrice: 123,
trueCostCurrency: '<string>',
budgetAllowableTolerance: 123,
requestedDeliveryDate: '2023-11-07T05:31:56Z',
requestedBulkReadyDate: '2023-11-07T05:31:56Z',
notes: '<string>',
lineItems: [
{
styleSkuId: '<string>',
orderQuantity: 123,
id: '<string>',
clientTolerance: 0,
requestedDeliveryDate: '2023-11-07T05:31:56Z',
requestedBulkReadyDate: '2023-11-07T05:31:56Z',
status: '<string>'
}
],
changeDescription: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/orders/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"salesOrderId": "<string>",
"documentId": "<string>",
"versionNumber": 123,
"status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
Input schema for updating a sales order (PATCH /orders/{id}). All fields are optional - only provided fields will be updated.
Use 'action' to trigger state transitions.
Actions for sales order state transitions
Permissions:
- draft, submit_for_review: Any authenticated user
- confirm, reject: Manager or Admin only
- mark_in_procurement, mark_in_production, mark_delivered: Manager or Admin only
Available options:
draft, submit_for_review, approve, confirm, reject, mark_in_procurement, mark_in_production, mark_partially_delivered, mark_delivered Maximum string length:
50Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update Order
